import '@fortawesome/fontawesome-free/css/all.min.css'
import '@fortawesome/fontawesome-free/css/fontawesome.min.css'

import AdminApp from './app';
import './admin.scss';

window.aircox_admin = {
    /**
     * Filter items in the parent navbar-dropdown for provided key event on text input
     */
    filter_menu: function(event) {
        var filter = new RegExp(event.target.value, 'gi');
        var container = event.target.closest('.navbar-dropdown');

        if(event.target.value)
            for(var item of container.querySelectorAll('a.navbar-item'))
                item.style.display = item.innerHTML.search(filter) == -1 ? 'none' : null;
        else
            for(var item of container.querySelectorAll('a.navbar-item'))
                item.style.display = null;
    },
}

window.AdminApp = AdminApp

