import AAutocomplete from './autocomplete'
import AEpisode from './episode'
import APlayer from './player'
import APlaylist from './playlist'
import ASoundItem from './soundItem'

const App = {
    el: '#app',
    delimiters: ['[[', ']]'],

    computed: {
        player() { return window.aircox.player; },
    },

    components: {AAutocomplete, AEpisode, APlaylist, ASoundItem},
}

export const PlayerApp = {
    el: '#player',
    components: {APlayer},
}

export default App


